List accounts

List accounts. See the OpenAPI-defined parameters, request body, and responses below.

GET /Account

List accounts. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna todas as contas cadastradas.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
EnabledFilterqueryEnabledFilterNo0 = All; 1 = Enabled; 2 = Disabled—
NamequerystringNo——
CustomerTenantIdqueryinteger · int32No——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Account?EnabledFilter={EnabledFilter}&Name={Name}&CustomerTenantId={CustomerTenantId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar as contasapplication/json · array<AccountDto>

Example response (200):

[
  {
    "id": 0,
    "name": "string",
    "legalName": "string",
    "site": "string",
    "linkedInUrl": "string",
    "email": "string",
    "taxId": "string",
    "enabled": true,
    "customerTenantId": 0
  }
]

Data models

AccountDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
legalNamestringNo—nullable
sitestringNo—nullable
linkedInUrlstringNo—nullable
emailstringNo—nullable
taxIdstringNo—nullable
enabledbooleanNo——
customerTenantIdinteger · int32No——
EnabledFilter

0 = All; 1 = Enabled; 2 = Disabled

integer